Bug 28427 - Terminology: Shelf should be list
Summary: Terminology: Shelf should be list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-24 10:16 UTC by Katrin Fischer
Modified: 2021-07-11 02:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.08


Attachments
Bug 28427: Terminology: Shelf should be list (1.58 KB, patch)
2021-05-24 10:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28427: Terminology: Shelf should be list (1.62 KB, patch)
2021-05-28 21:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 28427: Terminology: Shelf should be list (1.68 KB, patch)
2021-06-03 10:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-05-24 10:16:47 UTC
koha-tmpl/intranet-tmpl/prog/en/modules/virtualshelves/downloadshelf.tt:2
Download shelf › Koha
Comment 1 Owen Leonard 2021-05-24 10:47:08 UTC
Created attachment 121321 [details] [review]
Bug 28427: Terminology: Shelf should be list

This patch corrects the title element on the download list page in the
staff interface.

The affected page should never be seen by the user because other
error-handling should take precedence. In order to see it you have to
set up such an error:

- Log into the staff client as a user with existing lists.
- Open the Lists page.
- Open one of your lists in a new tab.
- In the original tab, delete the list you opened.
- In the tab showing the contents of the list, click the "Download" menu
  button and select an option.
- You should be redirected to a page with an error message at the top.
- The title of this page should be correct: "Download list."
Comment 2 David Nind 2021-05-28 21:44:32 UTC
Created attachment 121500 [details] [review]
Bug 28427: Terminology: Shelf should be list

This patch corrects the title element on the download list page in the
staff interface.

The affected page should never be seen by the user because other
error-handling should take precedence. In order to see it you have to
set up such an error:

- Log into the staff client as a user with existing lists.
- Open the Lists page.
- Open one of your lists in a new tab.
- In the original tab, delete the list you opened.
- In the tab showing the contents of the list, click the "Download" menu
  button and select an option.
- You should be redirected to a page with an error message at the top.
- The title of this page should be correct: "Download list."

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-06-03 10:35:15 UTC
Created attachment 121574 [details] [review]
Bug 28427: Terminology: Shelf should be list

This patch corrects the title element on the download list page in the
staff interface.

The affected page should never be seen by the user because other
error-handling should take precedence. In order to see it you have to
set up such an error:

- Log into the staff client as a user with existing lists.
- Open the Lists page.
- Open one of your lists in a new tab.
- In the original tab, delete the list you opened.
- In the tab showing the contents of the list, click the "Download" menu
  button and select an option.
- You should be redirected to a page with an error message at the top.
- The title of this page should be correct: "Download list."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-06-21 10:06:06 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-02 13:10:44 UTC
Pushed to 21.05.x for 21.05.02
Comment 6 Fridolin Somers 2021-07-10 03:22:16 UTC
Pushed to 20.11.x for 20.11.08
Comment 7 Victor Grousset/tuxayo 2021-07-11 02:34:46 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.